package com.liquidnet.client.admin.zhengzai.smile.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.zhengzai.smile.dto.SmileSchoolParam;
import com.liquidnet.service.smile.entity.SmileSchool;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-03-14
 */
public interface ISmileSchoolService extends IService<SmileSchool> {

    PageInfo<SmileSchool> schoolList(SmileSchoolParam smileSchoolParam);

    SmileSchool getSchoolById(Long id);

    AjaxResult create(SmileSchool smileSchool);

    AjaxResult updateSchoolById(SmileSchool smileSchool);

    AjaxResult del(Long id);
}
